* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: 'DM Sans', sans-serif;
    background-color: #f5f5f5;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}
.container {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 20px;
}
.container h1 {
    font-size: 30px;
    font-weight: 800;
    margin: 20px 0;
    text-align: center;
}
.container p {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 20px;
}
.container form {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    margin: 100px 0;
}
.container form input {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-weight: 600;
    font-size: 20px;
}
.container form input::placeholder {
    color: #808080;
    font-weight: 400;
}
.container form input[type="submit"] {
    background-color: #272c80;
    color: #fff;
    font-weight: 800;
    cursor: pointer;
}
.container form input[type="submit"]:hover {
    background-color: #1e2173;
}
.container form input[type="submit"]:disabled {
    background-color: #ccc;
    color: #fff;
    cursor: not-allowed;
}
.container form .login_error {
    background-color: #F44336;
    color: #fff;
    font-weight: 600;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 5px;
    text-align: center;
    font-size: 16px;
}

.container form .login_success {
    background-color: #4CAF50;
    color: #fff;
    font-weight: 600;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 5px;
    text-align: center;
    font-size: 16px;
}

.container form .login_notify {
    background-color: #2196F3;
    color: #fff;
    font-weight: 600;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 5px;
    text-align: center;
    font-size: 16px;
}

.container form a {
    display: block;
    text-align: center;
    margin-bottom: 20px;
    color: #272c80;
    font-weight: 600;
    text-decoration: none;
}


#logo {
    display: block;
    width: 100%;
    max-width: 200px;
    margin: 0 auto;
    margin-bottom: 100px;
}
#logo img {
    width: 100%;
}

input {
    font-family: 'DM Sans', sans-serif;
    font-weight: bold;
}

@media screen and (max-width: 500px) {
    .container h1 {
        font-size: 24px;
    }
    .container p {
        font-size: 16px;
    }

    #logo {
        max-width: 150px;
    }
}

@media (prefers-color-scheme: dark) {
    body {
        background-color: #1a1a1a;
        color: #fff;
    }
    .container form {
        background-color: #1a1a1a;
    }
    .container form input {
        background-color: #333;
        color: #fff;
        border: 2px solid transparent;
        transition: border 0.2s ease-in-out;
    }
    .container form input:focus {
        border: 2px solid #fff;
        outline: none;
    }
    .container form input[type="submit"] {
        border: 2px solid transparent;
    }
    .container form input[type="submit"]:hover, .container form input[type="submit"]:focus {
        background-color: #272c80;
        border: 2px solid #fff;
        color: #fff;
    }
    .container form input[type="submit"]:disabled {
        background-color: #ccc;
        color: #272c80;
    }
    .container form a {
        color: #fff;
    }

    #logo img {
        filter: brightness(10);
    }
}